# -*- coding: utf-8 -*-
# Balazar safari photo
# Copyright (C) 2010-2014 Jean-Baptiste LAMY
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import os, os.path, sys, glob

HERE = os.path.dirname(sys.argv[0]) or "."

if len(sys.argv) <= 1: sys.argv.append("install")

#data_files = [path
#              for exp  in ["animated_models/*", "images/*.png", "locale/*/LC_MESSAGES/*.mo", "materials/*", "mini_shaders/*", "models/*", "sounds/*", "worlds/*"]
#              for path in glob.glob(exp)
#              if not os.path.isdir(path)]
#print(data_files)


data_files = []
def walker(path, files):
  dir2 = path[len(os.path.abspath(HERE)):]
  if dir2[0] == "/": dir2 = dir2[1:]
  dir2 = os.path.join("share", "balazar_safari_photo", dir2)
  files = [os.path.join(path, file) for file in files if os.path.isfile(os.path.join(path, file))]
  data_files.append((dir2, files))

for path in ["animated_models", "images", "materials", "mini_shaders", "models", "sounds", "worlds"]:
  path = os.path.abspath(os.path.join(HERE, path))
  for path, dirs, files in os.walk(path):
    walker(path, files)

for mo_file in glob.glob(os.path.abspath(os.path.join(HERE, "locale", "*", "LC_MESSAGES", "*.mo"))):
  lang = os.path.dirname(mo_file).split(os.sep)[-2]
  data_files.append( (os.path.join("share", "locale", lang, "LC_MESSAGES"), [mo_file]) )

print(data_files)


import distutils.core, distutils.sysconfig
if ("upload_docs" in sys.argv) or ("build_sphinx" in sys.argv): import setuptools


distutils.core.setup(
  name         = "Balazar_Safari_Photo",
  version      = "0.1",
  license      = "GPLv3+",
  description  = "A 3D platform and action/reflexion game.",
  long_description = open(os.path.join(HERE, "README.rst")).read(),
  
  author       = "Lamy Jean-Baptiste (Jiba)",
  author_email = "jibalamy@free.fr",
  url          = "http://www.lesfleursdunormal.fr/static/informatique/index_en.html",
  classifiers  = [
    "Development Status :: 4 - Beta",
    "Intended Audience :: End Users/Desktop",
    "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
    "Natural Language :: French",
    "Natural Language :: English",
    "Operating System :: POSIX :: Linux",
    "Programming Language :: Python :: 3",
    "Topic :: Games/Entertainment :: Side-Scrolling/Arcade Games",
    "Topic :: Games/Entertainment :: Puzzle Games",
    "Topic :: Multimedia :: Graphics :: 3D Rendering",
    ],
  
  package_dir  = {"balazar_safari_photo" : "."},
  scripts      = ["balazar_safari_photo"],
  packages     = ["balazar_safari_photo", "balazar_safari_photo.tofu"],
#  package_data = {"balazar_safari_photo" : ["animated_models/*", "images/*.png", "locale/*/LC_MESSAGES/*.mo", "materials/*", "mini_shaders/*", "models/*", "sounds/*", "worlds/*"]},
  data_files   = data_files,

)
